%global gem_name temple
Name:                rubygem-%{gem_name}
Version:             0.8.0
Release:             3
Summary:             Template compilation framework in Ruby
License:             MIT
URL:                 https://github.com/judofyr/temple
Source0:             https://rubygems.org/gems/temple-%{version}.gem
Patch0:              rubygem-temple-0.8.2-Use-Erubi-instead-of-Erubis.patch
Patch1:              rubygem-temple-0.8.0-object-regexp-removal-ruby32.patch
BuildRequires:       ruby(release) rubygems-devel ruby rubygem-bacon rubygem(erubi) rubygem(tilt)
BuildArch:           noarch
%description
Temple is an abstraction and a framework for compiling templates to pure Ruby.
It's all about making it easier to experiment, implement and optimize template
languages. If you're interested in implementing your own template language,
or anything else related to the internals of a template engine: You've come
to the right place.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%patch0 -p1
%patch1 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
bacon -Itest -a
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES
%doc %{gem_instdir}/EXPRESSIONS.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/temple.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 14 2023 liyanan <thistleslyn@163.com> - 0.8.0-3
- fix build error with ruby3.2

* Tue Jan 10 liyanan <liyanan32@h-partners.com> - 0.8.0-2
- Use Erubi instead of Erubis

* Sat Aug 22 2020 liyanan <liyanan32@huawei.com> - 0.8.0-1
- package init
